petsc-3.7.7 2017-09-25
Report Typos and Errors

# MatRegisterAll

Registers all of the matrix types in PETSc

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatRegisterAll(void)

Not Collective

### Keywords

KSP, register, all

### See Also

MatRegister()

Level:advanced
Location:src/mat/interface/matregis.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages